List Import Jobs (V2)
This operation lists all import jobs of a specific cluster.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
Use application/json.
The request body for listing import jobs; clusterId is required when the request targets a cluster.
ID of a specific cluster on Zilliz Cloud.
The ID of the project to which the database and collection belongs.
Setting this to a non-existing project results in an error. You can get the project ID by calling the /v2/projects endpoint, or copy the project ID from the Zilliz Cloud console.
The ID of the region to which the database and collection belongs.
Setting this to a non-existing region results in an error. You can get the region ID by calling the /v2/regions endpoint, or copy the region ID from the Zilliz Cloud console.
Number of records to return at each request.
Current page number.
Name of the database to which the import job belongs.
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/list" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterId": "inxx-xxxxxxxxxxxxxxx"
}'
Returns a list of import jobs
The successful response body for the import job listing request.
Response code.
Response payload, which is a list of import jobs in detail.
Import task records on the current page.
Summary of a single import task.
Name of the target collection.
ID of the import job.
State of the import task.
Total number of import tasks.
Current page number.
Number of records per page.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"data": {
"count": 1,
"currentPage": 1,
"pageSize": 10,
"records": [
{
"collectionName": "test_collection",
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"state": "Completed"
}
]
}
}